Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class RFC1766Lang

    java.lang.Object
      edu.harvard.hul.ois.jhove.RFC1766Lang

    public final class RFC1766Lang

extends java.lang.Object

Class encapsulating RFC-1766 language codes.

Constructor Summary
`RFC1766Lang(java.lang.String str)` Constructor.

Method Summary
`java.lang.String` | `getLangCode()` Returns the language code string.
`boolean` | `isSyntaxCorrect()` Returns `true` if the language code string is syntactically compliant.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RFC1766Lang

    public RFC1766Lang(java.lang.String str)

  Constructor.

  Parameters:
    `str` - The ASCII string for the language code.

Method Detail

### getLangCode

    public java.lang.String getLangCode()

  Returns the language code string.

### isSyntaxCorrect

    public boolean isSyntaxCorrect()

  Returns `true` if the language code string is syntactically compliant. The primary tag must be either a two-letter code, the letter i, or the letter x (case insensitive); no checking is done against registry lists.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD